"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.useTransitionHandle = exports.useTransitionHandleRef = void 0;
const tslib_1 = require("tslib");
const react_1 = require("react");
function useTransitionHandleRef() {
    return (0, react_1.useRef)(null);
}
exports.useTransitionHandleRef = useTransitionHandleRef;
function useTransitionHandle(transitionHandleRef, { show, hide, }, deps) {
    const wrappedHide = (0, react_1.useCallback)(() => tslib_1.__awaiter(this, void 0, void 0, function* () {
        const result = yield hide();
        yield (Array.isArray(result) ? Promise.all(result) : result);
    }), [hide]);
    const wrappedShow = (0, react_1.useCallback)(() => tslib_1.__awaiter(this, void 0, void 0, function* () {
        const result = yield show();
        yield (Array.isArray(result) ? Promise.all(result) : result);
    }), [show]);
    (0, react_1.useImperativeHandle)(transitionHandleRef, () => ({
        show: wrappedShow,
        hide: wrappedHide,
    }), 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    deps);
}
exports.useTransitionHandle = useTransitionHandle;
