import React from 'react';
import { TransitionConfig } from './transitionConfigs';
import { TransitionHandleRef } from './transitionHandle';
export interface ColumnTransitionOwnProps {
    transitionConfig?: TransitionConfig;
    transitionKey: unknown;
    /**
     * Allows you to pass in a handle to manually show/hide the current content.
     * When set in, the content will be in it's `from` state on mount. Otherwise,
     * it'll be in it's "initial" state (if given), or its "enter" state as a
     * fallback.
     */
    transitionHandleRef?: TransitionHandleRef;
    itemContainerStyle?: Omit<React.CSSProperties, 'height' | 'overflow'>;
    itemStyle?: React.CSSProperties;
}
export declare type ColumnTransitionProps = JSX.IntrinsicElements['div'] & ColumnTransitionOwnProps;
export declare const ColumnTransition: React.NamedExoticComponent<React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement> & ColumnTransitionOwnProps>;
