import { __awaiter } from "tslib";
import { useCallback, useImperativeHandle, useRef } from 'react';
export function useTransitionHandleRef() {
    return useRef(null);
}
export function useTransitionHandle(transitionHandleRef, { show, hide, }, deps) {
    const wrappedHide = useCallback(() => __awaiter(this, void 0, void 0, function* () {
        const result = yield hide();
        yield (Array.isArray(result) ? Promise.all(result) : result);
    }), [hide]);
    const wrappedShow = useCallback(() => __awaiter(this, void 0, void 0, function* () {
        const result = yield show();
        yield (Array.isArray(result) ? Promise.all(result) : result);
    }), [show]);
    useImperativeHandle(transitionHandleRef, () => ({
        show: wrappedShow,
        hide: wrappedHide,
    }), 
    // eslint-disable-next-line react-hooks/exhaustive-deps
    deps);
}
